server:
  port: 8888
spring:
  application:
    name: blockchain-transfer-service
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  rabbitmq:
    host: 127.0.0.1
    port: 5672
    username: blockchain
    password: bl@nkchaine69139fa
    virtual-host: /adae
    connection-timeout: 10000  # 增加超时时间
  #mysql
  datasource:
    url: jdbc:mysql://t6w2dyvggz5fk.aliyun-ap-southeast-1.oceanbase.cloud:3306/adae?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
    username: adae
    password: q8s:%~[(m7lStxC;@_bX31~7l7xj)z
    driver-class-name: com.mysql.cj.jdbc.Driver
mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl  # 开发时开启SQL日志
  global-config:
    db-config:
      id-type: auto
      logic-delete-field: deleted  # 逻辑删除字段名
      logic-delete-value: 1
      logic-not-delete-value: 0
  mapper-locations: classpath*:/mapper/**/*.xml
logging:
  level:
    org.springframework.amqp: DEBUG  # 添加 RabbitMQ 调试日志
    com.table.transfer: INFO
    com.example.blockchain: INFO
  file:
    name: logs/transfer.log
  pattern:
    file: "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n"